<script>
(function($){  
    $(document).ready(function() {
        $("#id_pais, #id_pais_fact").change(function () {
            var $select = $($(this).attr("data-target"));
            var id = $select.attr("id");
            
            $.ajax({
                url: "index.php?option=com_my_component&controller=mapa&task=obtenerDepartamentos",
                data: { "format" : "raw", "id_pais" : $(this).val() },
                success: function (res) {
                    var json = $.parseJSON(res);
                    if (json.length > 0){
                        $select.replaceWith(function() {
                            var $_select = $('<select class="radius" name="' + id + '" id="' + id + '"></select>');
                            $.each(json, function(i, o) {
                                $_select.append("<option value='" + o.id + "'>" + o.nombre + "</option>");
                            });
                            
                            return $_select;
                        });    
                    }
                    else{
                        $select.replaceWith('<input class="radius" type="text" name="' + id + '" id="' + id + '" />');
                    }
                }
            });
        });
    });
})(jQuery.noConflict());
</script>
{% if jusuario.id == 0 %}
    <h4 class="encabezadoLogin">Registrarse</h4>        	
{% else %}
    <h4 class="encabezadoLogin">Actualice su cuenta</h4>
{% endif %}
<form action="index.php?option=com_my_component&controller=usuario&task=guardarUsuario" id="formCrearUsuario" name="formCrearUsuario" method="post" data-abide>    
    <fieldset>
        <legend>Datos personales</legend>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="id_cc">
                    <strong>C&eacute;dula</strong>
                    <input class="radius" type="text" id="id_cc" name="id_cc" value="{{ musuario.id_cc }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="nombre">
                    <strong>Nombre</strong>
                    <input class="radius" type="text" id="nombre" name="nombre" value="{{ musuario.nombre }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="apellido">
                    <strong>Apellidos</strong>
                    <input class="radius" type="text" id="apellido" name="apellido" value="{{ musuario.apellido }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="email">
                    <strong>Email</strong>
                    <input class="radius" type="email" name="email" id="email" value="{{ jusuario.email }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="password">
                    <strong>Clave</strong>
                    <input class="radius" type="password" id="password" name="password" value="" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-12 small-12 columns">
                <label for="direccion">
                    <strong>Direcci&oacute;n</strong>
                    <input class="radius" type="text" id="direccion" name="direccion" value="{{ musuario.direccion }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="telefono">
                    <strong>Tel&eacute;fono</strong>
                    <input class="radius" type="text" name="telefono" id="telefono" value="{{ musuario.telefono }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="celular">
                    <strong>Celular</strong>
                    <input class="radius" type="text" id="celular" name="celular" value="{{ musuario.celular }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="id_pais">
                    <strong>Pa&iacute;s</strong>
                    <select class="radius" name="id_pais" id="id_pais" data-target="#depto" required>
                        <option value="">Seleccione un pa&iacute;s</option>                        
                        {% for p in paises %}
                        <option value="{{ p.id }}" {% if p.id == musuario.id_pais %}selected{% endif %}>{{ p.nombre|raw }}</option>
                        {% endfor %}
                    </select>
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="depto">
                    <strong>Departamento</strong>
                    {% if estados|length > 0 %}
                    <select class="radius" name="depto" id="depto" required>
                        <option value="">Seleccione un departamento</option>                        
                        {% for e in estados %}
                        <option value="{{ e.id }}" {% if e.nombre == musuario.depto %}selected{% endif %}>{{ e.nombre }}</option>
                        {% endfor %}
                    </select>
                    {% else %}
                        <input class="radius" type="text" name="depto" id="depto" value="{{ musuario.depto }}" />
                    {% endif %}
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="ciudad">
                    <strong>Ciudad</strong>
                    <input class="radius" type="text" name="ciudad" id="ciudad" value="{{ musuario.ciudad }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="empresa">
                    <strong>Empresa</strong>
                    <input class="radius" type="text" name="empresa" id="empresa" value="{{ musuario.empresa }}" required />
                </label>
            </div>
        </div>
    </fieldset>   
    <button type="submit" id="btnGuardarUsuario" class="button negro"><i class="fi-save"></i>&nbsp;Registrarse</button>    
</form>